<div class="p-grid " *ngIf="!util.blockedUI">

    <div class="p-col-12 p-xl-9">
        <div class="p-grid">
            <div class="p-col-12">
                <app-list-categories [maxCategories]="3">
                </app-list-categories>
            </div>
        </div>
    </div>

    <div class="p-col-12 p-xl-3">
        <div class="p-grid">
            <div class="p-col-12">
                <app-small-topic></app-small-topic>
            </div>
            <div class="p-col-12">
                <app-small-event></app-small-event>
            </div>
        </div>
    </div>

    <div class="p-col-12" *ngIf="onlineUsers && onlineUsers.length > 0"
        style="margin: -1rem 0 .5rem 0;">
        <p-card>
            <div class="p-grid" style="padding: 1rem;">
                <div class="p-col-12">
                    <em class="pi pi-user"></em>
                    {{ lang.getWhoIsOnline() }}
                </div>
                <div class="p-col-12">
                    <div *ngFor="let user of onlineUsers" class="online-user-list">
                        {{ user.name }}
                    </div>
                </div>
            </div>
        </p-card>
    </div>

    <div class="p-col-12" style="padding: .5rem .5rem 0 .5rem;">
        <p-card>
            <div class="p-grid" style="padding: 1rem">
                <div class="p-col-12">
                    <em class="pi pi-chart-bar"></em>
                    {{ lang.getForumStatistics() }}
                </div>
                <div class="p-col-12 p-xl-4">
                    <app-forum-online-users></app-forum-online-users>
                </div>
                <div class="p-col-12 p-xl-4">
                    <app-forum-total-forums></app-forum-total-forums>
                </div>
                <div class="p-col-12 p-xl-4">
                    <app-forum-total-topics></app-forum-total-topics>
                </div>
            </div>
        </p-card>
    </div>

</div>
